var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Input } from '@angular/core';
export var Size;
(function (Size) {
    Size["sm"] = "sm";
    Size["default"] = "";
    Size["lg"] = "lg";
})(Size || (Size = {}));
export var Color;
(function (Color) {
    Color["default"] = "white";
    Color["white"] = "white";
    Color["danger"] = "danger";
    Color["warning"] = "warning";
    Color["dark"] = "dark";
    Color["light"] = "light";
    Color["secondary"] = "secondary";
})(Color || (Color = {}));
var DomAttr = /** @class */ (function () {
    function DomAttr() {
        this.lg = null;
        this.sm = null;
        this.color = Color.default;
        this.outline = null;
        this.active = null;
    }
    Object.defineProperty(DomAttr.prototype, "btnClass", {
        get: function () {
            var active = this.active === null ? '' : 'active';
            var outline = this.outline === null ? '' : 'outline-';
            var size = this.lg !== null ? 'btn-lg' : (this.sm !== null ? 'btn-sm' : '');
            return "btn " + size + " btn-" + outline + this.color + " " + active;
        },
        enumerable: true,
        configurable: true
    });
    __decorate([
        Input(),
        __metadata("design:type", String)
    ], DomAttr.prototype, "lg", void 0);
    __decorate([
        Input(),
        __metadata("design:type", String)
    ], DomAttr.prototype, "sm", void 0);
    __decorate([
        Input(),
        __metadata("design:type", String)
    ], DomAttr.prototype, "color", void 0);
    __decorate([
        Input(),
        __metadata("design:type", String)
    ], DomAttr.prototype, "outline", void 0);
    __decorate([
        Input(),
        __metadata("design:type", String)
    ], DomAttr.prototype, "active", void 0);
    return DomAttr;
}());
export { DomAttr };
