var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Directive, HostListener, Input, HostBinding } from '@angular/core';
import { ImageConfig } from './image.config';
var ImageDirective = /** @class */ (function () {
    function ImageDirective(config) {
        this.config = config;
    }
    ImageDirective.prototype.onError = function (image) {
        this.src = this.dataSrc || this.config.default;
    };
    __decorate([
        Input(),
        __metadata("design:type", String)
    ], ImageDirective.prototype, "dataSrc", void 0);
    __decorate([
        HostBinding('src'),
        __metadata("design:type", String)
    ], ImageDirective.prototype, "src", void 0);
    __decorate([
        HostListener('error', ['$event.target']),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", [HTMLImageElement]),
        __metadata("design:returntype", void 0)
    ], ImageDirective.prototype, "onError", null);
    ImageDirective = __decorate([
        Directive({
            selector: "img[tsImg]",
            exportAs: 'tsImg'
        }),
        __metadata("design:paramtypes", [ImageConfig])
    ], ImageDirective);
    return ImageDirective;
}());
export { ImageDirective };
