var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { NgModule } from '@angular/core';
import { CommonModule } from './../../commons/common.module';
import { ImageConfig } from './image.config';
import { ImageDirective } from './image.directive';
var ImageModule = /** @class */ (function () {
    function ImageModule() {
    }
    ImageModule_1 = ImageModule;
    ImageModule.forRoot = function (config) {
        return {
            ngModule: ImageModule_1,
            providers: [
                { provide: ImageConfig, useValue: config }
            ]
        };
    };
    ImageModule = ImageModule_1 = __decorate([
        NgModule({
            imports: [
                CommonModule,
            ],
            declarations: [
                ImageDirective,
            ],
            exports: [
                CommonModule,
                ImageDirective,
            ],
            providers: [
                ImageConfig,
            ]
        })
    ], ImageModule);
    return ImageModule;
    var ImageModule_1;
}());
export { ImageModule };
