import { OnChanges, SimpleChanges } from '@angular/core';
import { ScriptService } from './../../commons/services/script.service';
export declare const CODE_LANGUAGE: {
    html: string;
    typescript: string;
    javascript: string;
    xml: string;
    php: string;
};
export declare class PrismComponent implements OnChanges {
    private script;
    language: string;
    code: string;
    codeStyle: {
        [key: string]: string;
    };
    codePad: any;
    constructor(script: ScriptService);
    ngOnChanges(changes: SimpleChanges): void;
}
